Package com.destroystokyo.paper.block

# Interface BlockSoundGroup

public interface BlockSoundGroup
Represents the sounds that a `Block` makes in certain situations

The sound group includes break, step, place, hit, and fall sounds.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Sound`
`getBreakSound()`
Gets the sound that plays when breaking this block
`@NotNull Sound`
`getFallSound()`
Gets the sound that plays when this block falls
`@NotNull Sound`
`getHitSound()`
Gets the sound that plays when hitting this block
`@NotNull Sound`
`getPlaceSound()`
Gets the sound that plays when placing this block
`@NotNull Sound`
`getStepSound()`
Gets the sound that plays when stepping on this block

## Method Details

### getBreakSound

@NotNull @NotNull Sound getBreakSound()
Gets the sound that plays when breaking this block

Returns:
  The break sound

### getStepSound

@NotNull @NotNull Sound getStepSound()
Gets the sound that plays when stepping on this block

Returns:
  The step sound

### getPlaceSound

@NotNull @NotNull Sound getPlaceSound()
Gets the sound that plays when placing this block

Returns:
  The place sound

### getHitSound

@NotNull @NotNull Sound getHitSound()
Gets the sound that plays when hitting this block

Returns:
  The hit sound

### getFallSound

@NotNull @NotNull Sound getFallSound()
Gets the sound that plays when this block falls

Returns:
  The fall sound